# Payment Status

<mark style="color:green;">`POST`</mark> `{{base_url}}/`checktrans-status

**Headers**

| Name          | Value                |
| ------------- | -------------------- |
| Content-Type  | `application/json`   |
| Authorization | `Bearer PRIVATE_KEY` |

Request **Body**

| Name      | Type   | Description                                                         |
| --------- | ------ | ------------------------------------------------------------------- |
| reference | String | Transaction reference returned from us or merchant passed reference |

**Response**

{% tabs %}
{% tab title="200" %}

```json
{
    "status": true,
    "message": "Transaction Retrieved",
    "deliveryStatus": "Successful",
    "responseCode": "01",
    "payRef": "API1725870632SM517",
    "paymentTime": "09 Sep 2024 09:30 am",
    "recipient": "002317660",
    "amount": "50000.00",
    "product": "sendmoney",
    "prevBalance": "1050000.00",
    "newBalance": "1000000.00",
    "fee": "20.00",
    "totalCharged": "50020.00",
    "provRef": "54adfb6ebadb6764a6f07",
    "currency": "NGN",
    "accountName": "ADEAYO",
    "accountNo": "002317660",
    "bankName": "Access BankDiamond",
    "bankCode": "063",
    "narration": "transfer",
    "paytype": "DEBIT"
}
```

{% endtab %}

{% tab title="400" %}

```json
{
  "status": false,
  "message": "Invalid request"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.1app.online/v1-1/payment-status.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
